> ## Documentation Index
> Fetch the complete documentation index at: https://docs.paypal.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Show dispute details

> Shows details for a dispute, by ID.<blockquote><strong>Note:</strong> The fields that appear in the response depend on the access. For example, if the merchant requests shows dispute details, the customer's email ID does not appear.</blockquote>



## OpenAPI

````yaml /api-reference/customer_disputes_v1.json get /v1/customer/disputes/{id}
openapi: 3.0.3
info:
  title: Disputes
  description: >-
    Occasionally, something goes wrong with a customer's order. To dispute a
    charge, a customer can create a dispute with PayPal. PayPal merchants,
    partners, and external developers can use the PayPal Disputes API to manage
    customer disputes.<blockquote><strong>Note:</strong> In the live
    environment, merchants cannot create disputes but can only respond to
    customer-created disputes. However, merchants can create disputes in the
    sandbox environment. When you create an app, enable Disputes in the App
    feature options section.</blockquote>A customer can also ask his or her bank
    or credit card company to dispute and reverse a charge, which is known as a
    <i>chargeback</i>. For more information, see <a
    href="https://www.paypal.com/us/brc/article/customer-disputes-claims-chargebacks-bank-reversals">Disputes,
    claims, chargebacks, and bank reversals</a>.<br/><br/>When a customer
    disputes a charge, you can use this API to provide evidence that the charge
    is legitimate. To provide evidence or appeal a dispute, you submit a proof
    of delivery or proof of refund document or notes, which can include
    logs.<br/><br/>Normally, an agent at PayPal creates a dispute, updates the
    dispute status, and settles disputes, but now you can run test cases in the
    sandbox that complete these
    operations.<br/><br/><blockquote><strong>Important:</strong> The create,
    cancel, compute metrics, change reason, and validate eligibility methods are
    available as a limited-release solution at this time. For more information,
    reach out to your PayPal account manager.</blockquote><br/>For details, see
    <a href="/docs/integration/direct/customer-disputes/">Disputes Overview</a>
    documentation.
  version: '1.11'
  contact: {}
servers:
  - url: https://api-m.sandbox.paypal.com
    description: PayPal Sandbox Environment
  - url: https://api-m.paypal.com
    description: PayPal Live Environment
security: []
tags:
  - name: disputes
    description: >-
      Use the `/disputes` resource to list disputes, create disputes, show
      dispute details, and partially a dispute. Normally, an agent at PayPal
      creates disputes but now you can run test cases in the sandbox that create
      disputes.
  - name: disputes-actions
    description: >-
      Use the `/disputes` resource with a dispute ID and an action
      to:<ul><li>Accept a claim.</li><li>Accept an offer to resolve a
      dispute.</li><li>Acknowledge the return of an item related to a
      dispute.</li><li>Settle a dispute.</li><li>Appeal a
      dispute.</li><li>Cancel a dispute.</li><li>Change the reason for a
      dispute.</li><li>Deny an offer to resolve dispute.</li><li>Escalate a
      dispute to a claim.</li><li>Make an offer to resolve a
      dispute.</li><li>Make an offer to resolve a dispute.</li><li>Provide
      evidence for a dispute.</li><li>Provide supporting information for
      dispute.</li><li>In the sandbox, update the dispute status.</li><li>Send a
      message about a dispute to the other party in the dispute.</li><ul>
  - name: referred-disputes
    description: >-
      Use the `/customer/referred-disputes` resource to create a dispute for a
      referred case that was created by a partner or marketplace, show details
      for a referred dispute, by ID, notify referred refunds completed to
      PayPal, notify PayPal about referred dispute adjudication updates, and
      determine the dispute eligibility for referred disputes.
  - name: validate-eligibility
    description: >-
      Use the `/validate-eligibility/` resource to determine whether you can
      create a case for a transaction.
  - name: compute-metrics
    description: Use the `/compute-metrics` resource to provide metrics for all disputes.
  - name: validate-referred-dispute-eligibility
    description: >-
      Use the `/validate-referred-dispute-eligibility` resource to determine
      whether you can create a referred case for a transaction, by encrypted
      transaction ID.
  - name: referred-disputes
    description: >-
      Use the `/referred-disputes` resource to create a dispute for a referred
      case that was created by a partner or marketplace, show details for a
      referred dispute, by ID, notify referred refunds completed to PayPal,
      notify PayPal about referred dispute adjudication updates, and determine
      the dispute eligibility for referred disputes.
  - name: referred-disputes-actions
    description: >-
      Use the `/referred-disputes` resource with a dispute ID and an action to
      notify PayPal about adjudication updates for a referred dispute and notify
      PayPal about a refund for a referred dispute.
  - name: partner-actions
    description: >-
      Use the `/disputes/{id}/partner-actions/` resource to show dispute action
      details and partially update a dispute action.
  - name: search-suggestions
    description: Use the `/search-suggestions` resource to show search suggestions.
  - name: dispute-events
    description: Use the `/dispute-events` resource to send dispute events.
  - name: refund-preference
    description: >-
      Use the `/disputes/{id}/provide-refund-preference` resource to provide
      refund preferences for the dispute.
  - name: return-compensation
    description: >-
      Use the `/disputes/{id}/return-compensation` resource to return the
      compensation on the dispute provided by PayPal to the customer.
externalDocs:
  url: https://developer.paypal.com/docs/api/customer-disputes/v1/
paths:
  /v1/customer/disputes/{id}:
    get:
      tags:
        - disputes
      summary: Show dispute details
      description: >-
        Shows details for a dispute, by ID.<blockquote><strong>Note:</strong>
        The fields that appear in the response depend on the access. For
        example, if the merchant requests shows dispute details, the customer's
        email ID does not appear.</blockquote>
      operationId: disputes.get
      parameters:
        - $ref: '#/components/parameters/id'
      responses:
        '200':
          description: >-
            A successful request returns the HTTP `200 OK` status code and a
            JSON response body that shows dispute details.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/dispute'
        '500':
          description: >-
            An internal server error occurred. The request returns the HTTP `500
            Internal Server Error` status code.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
        default:
          description: The error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error'
      security:
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-buyer
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-seller
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-ebay
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read
        - Oauth2:
            - https://uri.paypal.com/services/disputes/read-partner
components:
  parameters:
    id:
      name: id
      in: path
      description: The ID of the dispute for which to provide the supporting information.
      required: true
      schema:
        type: string
        minLength: 1
        maxLength: 255
        pattern: ^[A-Za-z0-9-]+$
  schemas:
    dispute:
      type: object
      title: Dispute Details
      description: The dispute details.
      properties:
        dispute_id:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Za-z0-9-]+$
          readOnly: true
          description: The ID of the dispute.
        create_time:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the dispute was created, in [Internet date
            and time format](https://tools.ietf.org/html/rfc3339#section-5.6).
            For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        update_time:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the dispute was last updated, in [Internet
            date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). For
            example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        disputed_transactions:
          $ref: '#/components/schemas/transaction_info_list'
        reason:
          $ref: '#/components/schemas/dispute_reason'
        status:
          $ref: '#/components/schemas/status'
          readOnly: true
        dispute_amount:
          $ref: '#/components/schemas/money'
          description: >-
            The amount in the transaction that the customer originally disputed.
            Because customers can sometimes dispute only part of the payment,
            the disputed amount might be different from the total gross or net
            amount of the original transaction.
        dispute_asset:
          $ref: '#/components/schemas/cryptocurrency'
          description: The asset in the transaction that the customer disputed.
        fee_policy:
          $ref: '#/components/schemas/fee_policy'
          readOnly: true
          description: >-
            Policy that determines whether the fee needs to be charged, retained
            or returned while moving the money as part of dispute process.
        external_reason_code:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^[A-Za-z0-9._-]+$
          description: >-
            The code that identifies the reason for the credit card chargeback.
            Each card issuer follows their own standards for defining reason
            type, code, and its format. For more details about the external
            reason code, see the card issue site. Available for only unbranded
            transactions.
        dispute_outcome:
          $ref: '#/components/schemas/dispute_outcome'
          readOnly: true
        adjudications:
          $ref: '#/components/schemas/adjudication_list'
        money_movements:
          $ref: '#/components/schemas/money_movement_list'
        fund_movements:
          $ref: '#/components/schemas/fund_movement_list'
        dispute_life_cycle_stage:
          $ref: '#/components/schemas/dispute_lifecycle_stage'
          readOnly: true
        dispute_channel:
          $ref: '#/components/schemas/dispute_channel'
        messages:
          $ref: '#/components/schemas/message_list'
        extensions:
          $ref: '#/components/schemas/extensions'
        evidences:
          $ref: '#/components/schemas/evidence_list'
        buyer_response_due_date:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time by when the customer must respond to the dispute,
            in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). If the
            customer does not respond by this date and time, the dispute is
            closed in the merchant's favor. For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        seller_response_due_date:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time by when the merchant must respond to the dispute,
            in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). If the
            merchant does not respond by this date and time, the dispute is
            closed in the customer's favor. For example,
            *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        offer:
          $ref: '#/components/schemas/offer'
          readOnly: true
        refund_details:
          $ref: '#/components/schemas/refund_details'
          readOnly: true
        communication_details:
          $ref: '#/components/schemas/communication_details'
        supporting_info:
          $ref: '#/components/schemas/supporting_info_list'
        allowed_response_options:
          $ref: '#/components/schemas/allowed_response_options'
          readOnly: true
        links:
          $ref: '#/components/schemas/definitions-link_description_list'
    error:
      type: object
      title: Error
      description: The error details.
      properties:
        name:
          type: string
          description: The human-readable, unique name of the error.
        message:
          type: string
          description: The message that describes the error.
        debug_id:
          type: string
          description: The PayPal internal ID. Used for correlation purposes.
        information_link:
          type: string
          description: >-
            The information link, or URI, that shows detailed information about
            this error for the developer.
          readOnly: true
        details:
          $ref: '#/components/schemas/error_details_list'
        links:
          $ref: '#/components/schemas/link_description_list'
      required:
        - name
        - message
        - debug_id
    date_time:
      type: string
      description: >-
        The date and time, in [Internet date and time
        format](https://tools.ietf.org/html/rfc3339#section-5.6). Seconds are
        required while fractional seconds are
        optional.<blockquote><strong>Note:</strong> The regular expression
        provides guidance but does not reject all invalid dates.</blockquote>
      format: ppaas_date_time_v3
      minLength: 20
      maxLength: 64
      pattern: >-
        ^[0-9]{4}-(0[1-9]|1[0-2])-(0[1-9]|[1-2][0-9]|3[0-1])[T,t]([0-1][0-9]|2[0-3]):[0-5][0-9]:([0-5][0-9]|60)([.][0-9]+)?([Zz]|[+-][0-9]{2}:[0-9]{2})$
    transaction_info_list:
      type: array
      minItems: 1
      maxItems: 1000
      description: An array of transactions for which disputes were created.
      items:
        $ref: '#/components/schemas/transaction_info'
    dispute_reason:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Dispute Reason
      description: >-
        The reason for the item-level dispute. For information about the
        required information for each dispute reason and associated evidence
        type, see <a
        href="/docs/integration/direct/customer-disputes/integration-guide/#dispute-reasons">dispute
        reasons</a>.
      x-enumDescriptions:
        - value: MERCHANDISE_OR_SERVICE_NOT_RECEIVED
          description: The customer did not receive the merchandise or service.
        - value: MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED
          description: >-
            The customer reports that the merchandise or service is not as
            described.
        - value: UNAUTHORISED
          description: >-
            The customer did not authorize purchase of the merchandise or
            service.
        - value: CREDIT_NOT_PROCESSED
          description: The refund or credit was not processed for the customer.
        - value: DUPLICATE_TRANSACTION
          description: The transaction was a duplicate.
        - value: INCORRECT_AMOUNT
          description: The customer was charged an incorrect amount.
        - value: PAYMENT_BY_OTHER_MEANS
          description: The customer paid for the transaction through other means.
        - value: CANCELED_RECURRING_BILLING
          description: >-
            The customer was being charged for a subscription or a recurring
            transaction that was canceled.
        - value: PROBLEM_WITH_REMITTANCE
          description: A problem occurred with the remittance.
        - value: OTHER
          description: Other.
      enum:
        - MERCHANDISE_OR_SERVICE_NOT_RECEIVED
        - MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED
        - UNAUTHORISED
        - CREDIT_NOT_PROCESSED
        - DUPLICATE_TRANSACTION
        - INCORRECT_AMOUNT
        - PAYMENT_BY_OTHER_MEANS
        - CANCELED_RECURRING_BILLING
        - PROBLEM_WITH_REMITTANCE
        - OTHER
    status:
      type: string
      minLength: 1
      maxLength: 255
      readOnly: true
      pattern: ^[0-9A-Z_]+$
      description: >-
        The overall status of the dispute, constant for all the parties involved
        at anytime during the dispute lifecycle.
      x-enumDescriptions:
        - value: OPEN
          description: The dispute is open.
        - value: WAITING_FOR_BUYER_RESPONSE
          description: The dispute is waiting for a response from the customer.
        - value: WAITING_FOR_SELLER_RESPONSE
          description: The dispute is waiting for a response from the merchant.
        - value: UNDER_REVIEW
          description: The dispute is under review with PayPal.
        - value: RESOLVED
          description: The dispute is resolved.
        - value: OTHER
          description: >-
            The default status if the dispute does not have one of the other
            statuses.
      enum:
        - OPEN
        - WAITING_FOR_BUYER_RESPONSE
        - WAITING_FOR_SELLER_RESPONSE
        - UNDER_REVIEW
        - RESOLVED
        - OTHER
    money:
      type: object
      title: Money
      description: >-
        The currency and amount for a financial transaction, such as a balance
        or payment due.
      properties:
        currency_code:
          $ref: '#/components/schemas/currency_code'
        value:
          type: string
          description: >-
            The value, which might be:<ul><li>An integer for currencies like
            `JPY` that are not typically fractional.</li><li>A decimal fraction
            for currencies like `TND` that are subdivided into
            thousandths.</li></ul>For the required number of decimal places for
            a currency code, see [Currency
            Codes](/api/rest/reference/currency-codes/).
          maxLength: 32
          pattern: ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$
      required:
        - currency_code
        - value
    cryptocurrency:
      type: object
      title: Cryptocurrency
      description: >-
        The details needed to represent a specific cryptocurrency balance, such
        as its symbol and quantity.
      properties:
        asset_symbol:
          $ref: '#/components/schemas/cryptocurrency_symbol'
        quantity:
          $ref: '#/components/schemas/cryptocurrency_quantity'
        quantity_in_subunits:
          $ref: '#/components/schemas/cryptocurrency_subunits_quantity'
        decimals:
          $ref: '#/components/schemas/cryptocurrency_decimals'
      required:
        - asset_symbol
        - quantity
    fee_policy:
      type: object
      title: Fee Policy
      description: >-
        Policy that determines whether the fee needs to be charged, retained or
        returned while moving the money as part of dispute process.
      properties: {}
    dispute_outcome:
      type: object
      title: Dispute Outcome
      description: The outcome of a dispute.
      properties:
        outcome_code:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The outcome of a resolved dispute.
          x-enumDescriptions:
            - value: RESOLVED_BUYER_FAVOUR
              description: The dispute was resolved in the customer's favor.
            - value: RESOLVED_SELLER_FAVOUR
              description: The dispute was resolved in the merchant's favor.
            - value: RESOLVED_WITH_PAYOUT
              description: >-
                PayPal provided the merchant or customer with protection and the
                case is resolved.
            - value: CANCELED_BY_BUYER
              description: The customer canceled the dispute.
            - value: ACCEPTED
              description: DEPRECATED. PayPal accepted the dispute.
              deprecated: true
            - value: DENIED
              description: DEPRECATED. PayPal denied the dispute.
              deprecated: true
            - value: NONE
              description: >-
                A dispute was created for the same transaction ID, and the
                previous dispute was closed without any decision.
          enum:
            - RESOLVED_BUYER_FAVOUR
            - RESOLVED_SELLER_FAVOUR
            - RESOLVED_WITH_PAYOUT
            - CANCELED_BY_BUYER
            - ACCEPTED
            - DENIED
            - NONE
        outcome_reason:
          $ref: '#/components/schemas/adjudication_reason'
          description: The justification for the adjudication outcome.
        amount_refunded:
          $ref: '#/components/schemas/money'
          description: The amount that either the merchant or PayPal refunds the customer.
        asset_refunded:
          $ref: '#/components/schemas/cryptocurrency'
          description: The asset that either the merchant or PayPal refunds the customer.
    adjudication_list:
      type: array
      minItems: 1
      maxItems: 10
      description: The Teammate Adjudication details for the dispute.
      items:
        $ref: '#/components/schemas/adjudication'
    money_movement_list:
      type: array
      minItems: 1
      maxItems: 50
      description: DEPRECATED The Money movement details for the dispute.
      items:
        $ref: '#/components/schemas/money_movement'
      deprecated: true
    fund_movement_list:
      type: array
      minItems: 1
      maxItems: 50
      description: The movements of fund due to the dispute.
      items:
        $ref: '#/components/schemas/fund_movement'
    dispute_lifecycle_stage:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      readOnly: true
      description: The stage in the dispute lifecycle.
      x-enumDescriptions:
        - value: INQUIRY
          description: >-
            A customer and merchant interact in an attempt to resolve a dispute
            without escalation to PayPal. Occurs when the customer:<ul><li>Has
            not received goods or a service.</li><li>Reports that the received
            goods or service are not as described.</li><li>Needs more details,
            such as a copy of the transaction or a receipt.</li></ul>
        - value: CHARGEBACK
          description: >-
            A customer or merchant escalates an inquiry to a claim, which
            authorizes PayPal to investigate the case and make a determination.
            Occurs only when the dispute channel is <code>INTERNAL</code>. This
            stage is a PayPal dispute lifecycle stage and not a credit card or
            debit card chargeback. All notes that the customer sends in this
            stage are visible to PayPal agents only. The customer must wait for
            PayPal’s response before the customer can take further action. In
            this stage, PayPal shares dispute details with the merchant, who can
            complete one of these actions:<ul><li>Accept the
            claim.</li><li>Submit evidence to challenge the claim.</li><li>Make
            an offer to the customer to resolve the claim.</li></ul>
        - value: PRE_ARBITRATION
          description: >-
            The first appeal stage for merchants. A merchant can appeal a
            chargeback if PayPal's decision is not in the merchant's favor. If
            the merchant does not appeal within the appeal period, PayPal
            considers the case resolved.
        - value: ARBITRATION
          description: >-
            The second appeal stage for merchants. A merchant can appeal a
            dispute for a second time if the first appeal was denied. If the
            merchant does not appeal within the appeal period, the case returns
            to a resolved status in pre-arbitration stage.
      enum:
        - INQUIRY
        - CHARGEBACK
        - PRE_ARBITRATION
        - ARBITRATION
    dispute_channel:
      readOnly: true
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[A-Z0-9_]+$
      description: The channel where the customer created the dispute.
      x-enumDescriptions:
        - value: INTERNAL
          description: The customer contacts PayPal to file a dispute with the merchant.
        - value: EXTERNAL
          description: The customer contacts their card issuer or bank to request a refund.
        - value: ALERT
          description: >-
            Pre-chargeback alert when customer contacts their card issuer to
            request a refund.
      enum:
        - INTERNAL
        - EXTERNAL
        - ALERT
    message_list:
      type: array
      minItems: 1
      maxItems: 1000
      description: An array of customer- or merchant-posted messages for the dispute.
      items:
        $ref: '#/components/schemas/message'
    extensions:
      type: object
      title: Extensions
      description: >-
        The extended properties for the dispute. Includes additional information
        for a dispute category, such as billing disputes, the original
        transaction ID, and the correct amount.
      properties:
        merchant_contacted:
          type: boolean
          description: Indicates that the merchant was contacted.
        merchant_contacted_outcome:
          $ref: '#/components/schemas/merchant_contacted_outcome'
        merchant_contacted_time:
          $ref: '#/components/schemas/date_time'
          description: The date and time when merchant was contacted.
        merchant_contacted_mode:
          $ref: '#/components/schemas/merchant_contacted_mode'
          description: The method used to contact the merchant.
        buyer_contacted_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the buyer contacted the partner to file a
            dispute, in [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). For
            example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        buyer_contacted_channel:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^.*$
          description: >-
            The channel through which the buyer contacted the partner to file a
            dispute. Partners that allow buyers to create dispute from multiple
            channels can use this field to help identify which channel was used
            for each individual dispute.
        billing_dispute_properties:
          $ref: '#/components/schemas/billing_disputes_properties'
        merchandize_dispute_properties:
          $ref: '#/components/schemas/merchandize_dispute_properties'
        reported_source:
          $ref: '#/components/schemas/dispute_source'
    evidence_list:
      type: array
      minItems: 1
      maxItems: 100
      description: An array of evidence documents.
      items:
        $ref: '#/components/schemas/evidence'
    offer:
      type: object
      title: Offer
      description: The merchant-proposed offer for a dispute.
      properties:
        buyer_requested_amount:
          $ref: '#/components/schemas/money'
          description: The customer-requested refund for this dispute.
        seller_offered_amount:
          $ref: '#/components/schemas/money'
          description: The merchant-offered refund for this dispute.
        offer_type:
          $ref: '#/components/schemas/offer_type'
        history:
          $ref: '#/components/schemas/offer_history_list'
    refund_details:
      type: object
      title: Refund Details
      description: The refund details.
      properties:
        allowed_refund_amount:
          $ref: '#/components/schemas/money'
          description: The maximum refundable amount.
    communication_details:
      type: object
      title: Contact Details
      description: >-
        The contact details that a merchant provides to the customer to use to
        share their evidence documents.
      properties:
        email:
          $ref: '#/components/schemas/email_address'
          description: >-
            The email address that is provided by the merchant where the
            customer can share the evidences.
        note:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^(.|\r?\n)*$
          description: >-
            The merchant provided notes that are visible to both the customer
            and PayPal.
        time_posted:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the contact details were posted, in [Internet
            date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
          readOnly: true
    supporting_info_list:
      type: array
      readOnly: true
      minItems: 1
      maxItems: 100
      description: >-
        An array of all the supporting information that are associated to this
        dispute.
      items:
        $ref: '#/components/schemas/supporting_info'
    allowed_response_options:
      type: object
      title: Allowed Response Options
      description: The allowed response options for the buyer/seller update actions.
      properties:
        acknowledge_return_item:
          $ref: '#/components/schemas/acknowledge_return_item_response_options'
        accept_claim:
          $ref: '#/components/schemas/accept_claim_response_options'
        make_offer:
          $ref: '#/components/schemas/make_offer_response_options'
    definitions-link_description_list:
      type: array
      minItems: 1
      maxItems: 10
      description: >-
        An array of request-related [HATEOAS
        links](/docs/api/reference/api-responses/#hateoas-links/).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    error_details_list:
      type: array
      description: An array of additional details about the error.
      items:
        $ref: '#/components/schemas/error_details-2'
    link_description_list:
      type: array
      description: >-
        An array of request-related [HATEOAS
        links](/api/rest/responses/#hateoas-links).
      readOnly: true
      items:
        $ref: '#/components/schemas/link_description'
    transaction_info:
      type: object
      title: Transaction Information
      description: The information about the disputed transaction.
      properties:
        buyer_transaction_id:
          type: string
          minLength: 1
          maxLength: 255
          description: The ID, as seen by the customer, for this transaction.
          pattern: ^[A-Za-z0-9-]+$
        seller_transaction_id:
          type: string
          minLength: 1
          maxLength: 255
          description: The ID, as seen by the merchant, for this transaction.
          pattern: ^[A-Za-z0-9-]+$
        reference_id:
          type: string
          minLength: 1
          maxLength: 255
          description: The ID, as seen by the partner, for this transaction.
          pattern: ^.*$
        create_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the transaction was created, in [Internet
            date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6). For
            example, *`yyyy`*-*`MM`*-*`dd`*`T`*`HH`*:*`mm`*:*`ss`*.*`SSS`*`Z`.
        transaction_status:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The transaction status.
          x-enumDescriptions:
            - value: COMPLETED
              description: The transaction processing completed.
            - value: UNCLAIMED
              description: >-
                The items in the transaction are unclaimed. If they are not
                claimed within 30 days, the funds are returned to the sender.
            - value: DENIED
              description: The transaction was denied.
            - value: FAILED
              description: The transaction failed.
            - value: HELD
              description: The transaction is on hold.
            - value: PENDING
              description: The transaction is waiting to be processed.
            - value: PARTIALLY_REFUNDED
              description: The payment for the transaction was partially refunded.
            - value: REFUNDED
              description: The payment for the transaction was successfully refunded.
            - value: REVERSED
              description: >-
                The payment for the transaction was reversed due to a chargeback
                or other reversal type.
            - value: CANCELLED
              description: The transaction is cancelled.
          enum:
            - COMPLETED
            - UNCLAIMED
            - DENIED
            - FAILED
            - HELD
            - PENDING
            - PARTIALLY_REFUNDED
            - REFUNDED
            - REVERSED
            - CANCELLED
        gross_amount:
          $ref: '#/components/schemas/money'
          description: The gross amount of the transaction.
        gross_asset:
          $ref: '#/components/schemas/cryptocurrency'
          description: The gross asset of the transaction.
        invoice_number:
          type: string
          minLength: 1
          maxLength: 127
          description: The ID of the invoice for the payment.
          pattern: ^[A-Za-z0-9:\-|]+$
        custom:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^(.|\r?\n)*$
          description: A free-text field that is entered by the merchant during checkout.
        buyer:
          $ref: '#/components/schemas/buyer'
        seller:
          $ref: '#/components/schemas/seller'
        items:
          $ref: '#/components/schemas/item_info_list'
        payment_processor:
          $ref: '#/components/schemas/payment_processor'
    currency_code:
      description: >-
        The [three-character ISO-4217 currency
        code](/api/rest/reference/currency-codes/) that identifies the currency.
      type: string
      format: ppaas_common_currency_code_v2
      minLength: 3
      maxLength: 3
    cryptocurrency_symbol:
      description: >-
        The cryptocurrency symbol or code ticker options. Assigned by liquidity
        providers and exchanges.
      type: string
      minLength: 1
      maxLength: 10
      pattern: ^[0-9A-Za-z]{1,10}$
      x-enum-skip-validation: true
      x-enumDescriptions:
        - value: BTC
          description: >-
            The ticker symbol for <b>Bitcoin</b>.
            https://en.wikipedia.org/wiki/Bitcoin.
        - value: ETH
          description: >-
            The ticker symbol for <b>Ethereum</b>.
            https://en.wikipedia.org/wiki/Ethereum.
        - value: BCH
          description: >-
            The ticker symbol for <b>Bitcoin Cash</b>.
            https://en.wikipedia.org/wiki/Bitcoin_Cash.
        - value: LTC
          description: >-
            The ticker symbol for <b>Litecoin</b>.
            https://en.wikipedia.org/wiki/Litecoin.
        - value: PYUSD
          description: >-
            The ticker symbol for <b>PayPal Coin</b>.
            https://engineering.paypalcorp.com/confluence/display/BCDC/PayPal+Digital+Coin+%28PPDC%29+-+USDP+-+Top+Down+View+of+Requirements.
        - value: LINK
          description: >-
            The ticker symbol for <b>Chainlink</b>.
            https://en.wikipedia.org/wiki/Chainlink_(blockchain).
        - value: SOL
          description: >-
            The ticker symbol for <b>Solana</b>.
            https://en.wikipedia.org/wiki/Solana_(blockchain_platform).
        - value: MATIC
          description: The ticker symbol for Polygon.
      enum:
        - BTC
        - ETH
        - BCH
        - LTC
        - PYUSD
        - LINK
        - SOL
        - MATIC
    cryptocurrency_quantity:
      type: string
      minLength: 1
      maxLength: 40
      pattern: ^((-?[0-9]+)|(-?([0-9]+)?[.][0-9]+))$
      description: >-
        The quantity of a cryptocurrency asset. This is a decimal number with a
        scale defined for each cryptocurrency by its founders. For example,
        Bitcoin (BTC) has 8 as its scale, Ethereum (ETH) has 18 as its scale.
        The PayPal Cryptocurrency platform handles the scale to 8 digits for
        Bitcoin. including its forks or offshoots, as well as Ethereum.
    cryptocurrency_subunits_quantity:
      title: Cryptocurrency Quantity Subunits
      type: string
      minLength: 1
      maxLength: 81
      pattern: ^-?[0-9]+$
      description: >-
        The quantity of a cryptocurrency asset in the currency's sub
        units.<br/>Amount is an integer in a string format.<br/>Floating point
        should be avoided to avoid precision errors. For example:
        <li>Bitcoin(BTC) has 8 decimals,</li> so 1 BTC will be represented as
        100000000 (1 followed by 8 zeroes). <li>Ethereum(ETH) has 18
        decimals,</li> so 1 ETH will be represented as 1000000000000000000 (1
        followed by 18 zeroes).
    cryptocurrency_decimals:
      description: >-
        The number of decimal digits supported by this cryptocurrency. For
        example, for Bitcoin this value is 8 because there are 10^8 satoshis in
        one Bitcoin and for Ethereum it's 18 since there are 10^18 wei in one
        Ether.
      title: Decimals
      type: integer
      minimum: 0
      maximum: 40
    adjudication_reason:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      description: The reason for the adjudication type.
      x-enumDescriptions:
        - value: AMOUNT_DIFFERENCE_EXPECTED_DUE_TO_FEES
          description: Seller submitted proof of correct charge.
        - value: BILLING_AGREEMENT_CHANGE_DISCLOSED
          description: Seller had disclosed billing agreement changes upfront.
        - value: BILLING_AGREEMENT_CHANGE_NOT_DISCLOSED
          description: Seller had not disclosed billing agreement changes upfront.
        - value: BILLING_AGREEMENT_DATE_CHANGE_DISCLOSED
          description: Seller had shared change in billing agreement date upfront.
        - value: BILLING_AGREEMENT_DATE_CHANGE_NOT_DISCLOSED
          description: Seller had not shared change in billing agreement date upfront.
        - value: BUYER_ATTEMPTED_RETURN
          description: Buyer has attempted to return the item.
        - value: BUYER_BILLED_ONLY_ONCE
          description: >-
            Buyer was charged only once and did not submit sufficient evidence
            of duplicate charge.
        - value: BUYER_CANCELLED_CASE
          description: Buyer cancelled the case.
        - value: BUYER_CANCELLED_SERVICE
          description: Buyer cancelled the service or recurring transaction.
        - value: BUYER_FAILED_TO_DESCRIBE_ISSUE
          description: Buyer did not describe the issue to justify the refund.
        - value: BUYER_HAS_POSSESSION_OF_THE_MERCHANDISE_OR_SERVICE
          description: Buyer continues to possess the item or has received the service.
        - value: BUYER_MADE_NO_ATTEMPT_TO_RESOLVE_WITH_SELLER
          description: Buyer did not attempt to resolve the issue with the seller.
        - value: BUYER_NOT_IN_POSSESSION_OF_ITEM_TO_RETURN
          description: Buyer is not in possession of the item to be returned.
        - value: BUYER_PROVIDED_CREDIT_RECEIPT
          description: Buyer provided credit receipt or relevant documentation.
        - value: BUYER_RECEIVED_DUPLICATE_REFUND
          description: Buyer received the refund twice.
        - value: CANCELLED_PER_TERMS_OF_BILLING_AGREEMENT
          description: Billing agreement was cancelled as per agreed terms.
        - value: CARD_NOT_STOLEN
          description: >-
            Buyer in possession of the card which was reported as stolen or
            lost.
        - value: CARD_NOT_STOLEN_BEFORE_AUTH
          description: Buyer reported card as lost or stolen after the authorization date.
        - value: CUSTOMER_RECOGNIZES_TRANSACTION
          description: Buyer recognizes the transaction as valid.
        - value: DECISION_BASED_ON_AVAILABLE_INFORMATION
          description: >-
            Case decision was made as per available information when specific
            reasons are not applicable.
        - value: DELIVERY_AFTER_EXPECTED_DELIVERY_DATE
          description: >-
            Item or service was delivered after the expected delivery date had
            passed.
        - value: DELIVERY_DUE_WITHIN_EXPECTED_DELIVERY_DATE
          description: >-
            Delivery of the item or service is due within the expected delivery
            date.
        - value: DELIVERY_OR_SERVICE_REFUSED
          description: Seller refused delivery or service of the item.
        - value: DOCUMENTATION_MATCHES_AMOUNT_CHARGED
          description: Documentation provided supports the amount that was charged.
        - value: DOCUMENTATION_MATCHES_AMOUNT_IN_PAYPAL_ACCOUNT
          description: >-
            Documentation provided supports the amount charged on buyer's
            account.
        - value: DUPLICATE_ADD_FUNDS
          description: Buyer submitted sufficient proof of duplicate charge.
        - value: EFFORTLESS_SELLER_PROTECTION
          description: The case is decided based on Protection Policy.
        - value: IN_PERSON_DELIVERY
          description: Seller delivered the item in person.
        - value: INELIGIBLE_BUYER_PROTECTION_POLICY
          description: The pattern identified does not meet buyer protection eligibility.
        - value: INELIGIBLE_SELLER_PROTECTION_POLICY
          description: The pattern identified does not meet seller protection eligibility.
        - value: INQUIRY_OFFER_ITEM_REPLACED
          description: Seller agreed to replace the item.
        - value: INQUIRY_OFFER_PARTIAL_REFUND
          description: Seller agreed to issue a partial refund to the buyer.
        - value: INQUIRY_OFFER_REFUND_WITH_ITEM_RETURN
          description: Seller agreed to issue a refund for item return.
        - value: INQUIRY_OFFER_REFUND_WITH_REPLACEMENT
          description: >-
            Seller agreed to replace the damaged item along with refunds
            applicable.
        - value: INVALID_APPEAL_REASON
          description: Seller appealed twice for the same reason with invalid reason.
        - value: INVALID_CHARGEBACK_SELLER_FAVOUR
          description: The case is decided as invalid based on external network policy.
        - value: INVALID_DELIVERY_PROOF
          description: Seller provided invalid proof of delivery.
        - value: INVALID_DELIVERY_PROOF_SIGNATURE
          description: Buyer's signature confirmation missing in proof of delivery.
        - value: INVALID_DOCUMENTATION
          description: The documentation provided is not valid.
        - value: INVALID_PROOF_OF_SHIPMENT
          description: Seller provided invalid proof of shipment.
        - value: INVALID_REFUND_PROOF
          description: Seller provided invalid proof of refund.
        - value: INVALID_RETURN_DELIVERY_NO_SIGNATURE_PROOF
          description: Seller's signature confirmation missing in proof of return.
        - value: INVALID_RETURN_DELIVERY_PROOF
          description: Buyer provided invalid proof of return.
        - value: INVALID_TRACKING
          description: Seller provided invalid tracking information.
        - value: ITEM_ALTERED_REPAIRED
          description: Item was altered or repaired while in buyer's possession.
        - value: ITEM_NOT_AS_ADVERTISED
          description: Item or service provided didn’t match as it was advertised.
        - value: ITEM_NOT_AS_DESCRIBED
          description: Item or service provided didn’t match as it was described.
        - value: ITEM_NOT_DAMAGED
          description: Item or service provided was not damaged or missing any parts.
        - value: ITEM_NOT_DELIVERED
          description: Seller did not deliver the item to the buyer.
        - value: ITEM_NOT_RETURNED_TO_SELLER
          description: Item was not returned to seller.
        - value: ITEM_NOT_SHIPPED
          description: Seller did not provide verified proof of shipment or delivery.
        - value: ITEM_OF_DIFFERENT_QUALITY_OR_QUANTITY
          description: >-
            Item sent to the buyer was of different quality, quantity, color, or
            size.
        - value: ITEM_OUT_OF_STOCK_AND_NOT_DELIVERED
          description: Item was not delivered as it was no longer in stock.
        - value: ITEM_RETURNED_TO_SELLER
          description: Buyer returned the item to seller.
        - value: ITEM_SERVICE_MISREPRESENTED
          description: Seller's listing misrepresented the item.
        - value: ITEM_SERVICE_NOT_MISREPRESENTED
          description: Seller's listing accurately represented the item.
        - value: ITEM_SERVICE_RECEIVED_BY_BUYER
          description: Buyer received the item or service from the seller.
        - value: ITEM_SOLD_AS_DESCRIBED
          description: Item was sold in the condition as described by the seller.
        - value: ITEM_VALUE_UNAFFECTED
          description: Item value or usability was not affected significantly.
        - value: MULTIPLE_APPEALS_WITH_SAME_REASON
          description: >-
            Seller appealed multiple times for the same reason with no
            additional compelling evidence.
        - value: NO_DOCUMENTATION_FROM_BUYER
          description: No documentation received from buyer.
        - value: NO_DOCUMENTATION_SUPPORTING_DUE_OF_CREDIT
          description: No documentation given to support that credit is due to buyer.
        - value: NO_PROOF_OF_DELIVERY
          description: Seller did not provide proof of delivery.
        - value: NO_PROOF_OF_DELIVERY_INTANGIBLE
          description: >-
            Seller did not provide proof of fulfillment for a service or digital
            good.
        - value: NO_PROTECTION_FOR_DIGITAL_GOODS_SERVICE
          description: >-
            Digital goods, services, or other Intangibles not covered under
            Protection Policies.
        - value: NO_RESPONSE_FROM_BUYER
          description: No response from buyer.
        - value: NO_RESPONSE_FROM_BUYER_FOR_ADDITIONAL_INFO_REQUEST
          description: No response from buyer to the request for additional information.
        - value: NO_SELLER_RESPONSE
          description: No response from seller.
        - value: NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
          description: No response from seller to the request for additional information.
        - value: NO_VALID_SHIPMENT_PROOF
          description: Seller did not provide valid proof of shipment.
        - value: NOT_A_BILLING_ERROR
          description: No evidence of a billing error.
        - value: NOT_AN_UNAUTHORIZED_TRANSACTION
          description: No evidence of unauthorized account access was found.
        - value: NOT_DUPLICATE_FUNDS_ADDED_ONCE
          description: Funds only added once and no duplication.
        - value: NOT_DUPLICATE_FUNDS_WITHDRAWN_ONCE
          description: Funds only withdrawn once and no duplication.
        - value: NOT_SHIPPED_TO_CORRECT_ADDRESS
          description: Seller did not ship to correct address.
        - value: PARTIAL_REFUND_ISSUED_FOR_MISSING_ITEMS
          description: Seller issued refund for missing items.
        - value: PARTIAL_REFUND_OFFER_ACCEPTED
          description: Buyer accepted the partial refund offer.
        - value: PAYMENT_REVERSED_ALREADY
          description: Payment was previously refunded or reversed.
        - value: POS_SUBMITTED_INSTEAD_OF_POD
          description: Seller submitted proof of shipment instead of proof of delivery.
        - value: PREAUTH_INSTALLMENT_DUE
          description: Pre-authorized installment or balance is due to seller.
        - value: PROOF_OF_BILLING_AFTER_CANCELLATION_ACCEPTED
          description: >-
            Buyer submitted proof of being billed after the billing agreement
            was cancelled.
        - value: PROOF_OF_DUPLICATE_DENIED_OR_INSUFFICIENT
          description: Buyer submitted proof that this was paid by another payment method.
        - value: PROOF_OF_INCORRECT_TRANSACTION_AMOUNT_ACCEPTED
          description: Bank or Credit does not match withdrawal amount on PayPal.
        - value: PROOF_OF_PAID_BY_OTHER_MEANS_NOT_SUBMITTED
          description: Buyer did not provide sufficient proof of paying by other means.
        - value: PROOF_OF_TRACKING_NOT_SUBMITTED
          description: Buyer did not provide sufficient proof of tracking for returns.
        - value: PROTECTED_BY_PAYPAL
          description: This case is covered under Seller protection program.
        - value: REPRESENTED_BY_PAYPAL
          description: Paypal covered the cost of the case as decided by policy.
        - value: SELLER_ACCEPTED_MULTIPLE_PAYMENTS
          description: Seller received multiple payments for the same purchase.
        - value: SELLER_AGREED_REFUND_WITHOUT_RETURN
          description: >-
            Seller chose to issue a refund without requiring item to be
            returned.
        - value: SELLER_AGREED_TO_ISSUE_CREDIT
          description: Seller agreed to refund the buyer.
        - value: SELLER_ISSUED_CREDIT_TO_BUYER
          description: >-
            Seller has earlier issued a credit to the buyer for the same
            transaction.
        - value: SELLER_ISSUED_REFUND
          description: Seller has issued a refund.
        - value: SELLER_NOT_REACHABLE
          description: Seller could not be reached to resolve case.
        - value: SELLER_RECEIVED_PAYMENT_TWICE_OR_FOR_REPLACEMENT
          description: >-
            Seller received the payment twice or received payment for a
            replacement item.
        - value: SELLER_REFUSED_REFUND
          description: Seller declined to issue a refund.
        - value: SELLER_REFUSED_RETURN
          description: Seller declined to accept return of the item.
        - value: SELLER_SURCHARGED_BUYER
          description: Surcharge was assessed to the buyer.
        - value: SERVICE_NOT_COMPLETED_AS_AGREED
          description: >-
            Service was not completed by seller as per description in the
            agreement.
        - value: SHIPPING_COMPANY_WONT_SHIP
          description: Shipping company refused to ship the item.
        - value: TRACKING_PROOF_NOT_ENOUGH
          description: >-
            For an item which was significantly not as described, seller cannot
            appeal with tracking information.
        - value: TRANSACTION_AUTHORIZED_BY_CARDHOLDER
          description: Card holder authorized the use of card for the transaction.
        - value: TRANSACTION_CANCELLED_AFTER_AUTHORIZATION_DATE
          description: Transaction was cancelled after the authorization date.
        - value: TRANSACTION_CANCELLED_BEFORE_SHIPMENT_SERVICE_DATE
          description: Transaction was cancelled before the shipment or service date.
        - value: TRANSACTION_MATCHES_BUYER_SPENDING_PATTERN
          description: Transaction similar to recent spending patterns of buyer.
        - value: TRANSACTION_PROCESSED_CORRECTLY
          description: Transaction processed correctly.
        - value: TRUSTED_BUYER_PAYOUT
          description: Payout to the buyer decided based on their profile and policy.
        - value: UNUSED_SHIPPING_LABEL
          description: Shipping label provided was unused.
        - value: VALID_PROOF_OF_DELIVERY
          description: Seller provided valid proof of delivery.
        - value: VALID_PROOF_OF_DELIVERY_WITH_SIGNATURE
          description: Seller provided valid proof of delivery with signature confirmation.
        - value: VALID_PROOF_OF_REFUND
          description: Seller provided valid proof of refund.
        - value: VALID_PROOF_SUPPORTING_CLAIM
          description: Buyer provided valid documents to support claim.
        - value: VALID_RETURN_DELIVERY_PROOF
          description: Buyer provided valid proof of return delivery.
        - value: VALID_RETURN_DELIVERY_PROOF_WITH_SIGNATURE
          description: >-
            Buyer provided valid proof of return delivery with signature
            confirmation.
        - value: VALID_SHIPMENT_PROOF
          description: Seller provided valid proof of shipment.
        - value: VALUE_AFFECTED_SIGNIFICANTLY
          description: The value of item or usability was affected significantly.
        - value: PROTECTION_POLICY_APPLIES
          description: The case is decided based on Protection Policy.
        - value: SNAD_DELAYED_FILING
          description: >-
            The reason as to why the buyer is filing dispute after given
            specified days.
        - value: FUNDS_TRANSFERRED_TO_INCORRECT_RECIPIENT
          description: Funds were not transferred to the correct recipient.
      enum:
        - AMOUNT_DIFFERENCE_EXPECTED_DUE_TO_FEES
        - BILLING_AGREEMENT_CHANGE_DISCLOSED
        - BILLING_AGREEMENT_CHANGE_NOT_DISCLOSED
        - BILLING_AGREEMENT_DATE_CHANGE_DISCLOSED
        - BILLING_AGREEMENT_DATE_CHANGE_NOT_DISCLOSED
        - BUYER_ATTEMPTED_RETURN
        - BUYER_BILLED_ONLY_ONCE
        - BUYER_CANCELLED_CASE
        - BUYER_CANCELLED_SERVICE
        - BUYER_FAILED_TO_DESCRIBE_ISSUE
        - BUYER_HAS_POSSESSION_OF_THE_MERCHANDISE_OR_SERVICE
        - BUYER_MADE_NO_ATTEMPT_TO_RESOLVE_WITH_SELLER
        - BUYER_NOT_IN_POSSESSION_OF_ITEM_TO_RETURN
        - BUYER_PROVIDED_CREDIT_RECEIPT
        - BUYER_RECEIVED_DUPLICATE_REFUND
        - CANCELLED_PER_TERMS_OF_BILLING_AGREEMENT
        - CARD_NOT_STOLEN
        - CARD_NOT_STOLEN_BEFORE_AUTH
        - CUSTOMER_RECOGNIZES_TRANSACTION
        - DECISION_BASED_ON_AVAILABLE_INFORMATION
        - DELIVERY_AFTER_EXPECTED_DELIVERY_DATE
        - DELIVERY_DUE_WITHIN_EXPECTED_DELIVERY_DATE
        - DELIVERY_OR_SERVICE_REFUSED
        - DOCUMENTATION_MATCHES_AMOUNT_CHARGED
        - DOCUMENTATION_MATCHES_AMOUNT_IN_PAYPAL_ACCOUNT
        - DUPLICATE_ADD_FUNDS
        - EFFORTLESS_SELLER_PROTECTION
        - IN_PERSON_DELIVERY
        - INELIGIBLE_BUYER_PROTECTION_POLICY
        - INELIGIBLE_SELLER_PROTECTION_POLICY
        - INQUIRY_OFFER_ITEM_REPLACED
        - INQUIRY_OFFER_PARTIAL_REFUND
        - INQUIRY_OFFER_REFUND_WITH_ITEM_RETURN
        - INQUIRY_OFFER_REFUND_WITH_REPLACEMENT
        - INVALID_APPEAL_REASON
        - INVALID_CHARGEBACK_SELLER_FAVOUR
        - INVALID_DELIVERY_PROOF
        - INVALID_DELIVERY_PROOF_SIGNATURE
        - INVALID_DOCUMENTATION
        - INVALID_PROOF_OF_SHIPMENT
        - INVALID_REFUND_PROOF
        - INVALID_RETURN_DELIVERY_NO_SIGNATURE_PROOF
        - INVALID_RETURN_DELIVERY_PROOF
        - INVALID_TRACKING
        - ITEM_ALTERED_REPAIRED
        - ITEM_NOT_AS_ADVERTISED
        - ITEM_NOT_AS_DESCRIBED
        - ITEM_NOT_DAMAGED
        - ITEM_NOT_DELIVERED
        - ITEM_NOT_RETURNED_TO_SELLER
        - ITEM_NOT_SHIPPED
        - ITEM_OF_DIFFERENT_QUALITY_OR_QUANTITY
        - ITEM_OUT_OF_STOCK_AND_NOT_DELIVERED
        - ITEM_RETURNED_TO_SELLER
        - ITEM_SERVICE_MISREPRESENTED
        - ITEM_SERVICE_NOT_MISREPRESENTED
        - ITEM_SERVICE_RECEIVED_BY_BUYER
        - ITEM_SOLD_AS_DESCRIBED
        - ITEM_VALUE_UNAFFECTED
        - MULTIPLE_APPEALS_WITH_SAME_REASON
        - NO_DOCUMENTATION_FROM_BUYER
        - NO_DOCUMENTATION_SUPPORTING_DUE_OF_CREDIT
        - NO_PROOF_OF_DELIVERY
        - NO_PROOF_OF_DELIVERY_INTANGIBLE
        - NO_PROTECTION_FOR_DIGITAL_GOODS_SERVICE
        - NO_RESPONSE_FROM_BUYER
        - NO_RESPONSE_FROM_BUYER_FOR_ADDITIONAL_INFO_REQUEST
        - NO_SELLER_RESPONSE
        - NO_SELLER_RESPONSE_FOR_ADDITIONAL_INFO_REQUEST
        - NO_VALID_SHIPMENT_PROOF
        - NOT_A_BILLING_ERROR
        - NOT_AN_UNAUTHORIZED_TRANSACTION
        - NOT_DUPLICATE_FUNDS_ADDED_ONCE
        - NOT_DUPLICATE_FUNDS_WITHDRAWN_ONCE
        - NOT_SHIPPED_TO_CORRECT_ADDRESS
        - PARTIAL_REFUND_ISSUED_FOR_MISSING_ITEMS
        - PARTIAL_REFUND_OFFER_ACCEPTED
        - PAYMENT_REVERSED_ALREADY
        - POS_SUBMITTED_INSTEAD_OF_POD
        - PREAUTH_INSTALLMENT_DUE
        - PROOF_OF_BILLING_AFTER_CANCELLATION_ACCEPTED
        - PROOF_OF_DUPLICATE_DENIED_OR_INSUFFICIENT
        - PROOF_OF_INCORRECT_TRANSACTION_AMOUNT_ACCEPTED
        - PROOF_OF_PAID_BY_OTHER_MEANS_NOT_SUBMITTED
        - PROOF_OF_TRACKING_NOT_SUBMITTED
        - PROTECTED_BY_PAYPAL
        - REPRESENTED_BY_PAYPAL
        - SELLER_ACCEPTED_MULTIPLE_PAYMENTS
        - SELLER_AGREED_REFUND_WITHOUT_RETURN
        - SELLER_AGREED_TO_ISSUE_CREDIT
        - SELLER_ISSUED_CREDIT_TO_BUYER
        - SELLER_ISSUED_REFUND
        - SELLER_NOT_REACHABLE
        - SELLER_RECEIVED_PAYMENT_TWICE_OR_FOR_REPLACEMENT
        - SELLER_REFUSED_REFUND
        - SELLER_REFUSED_RETURN
        - SELLER_SURCHARGED_BUYER
        - SERVICE_NOT_COMPLETED_AS_AGREED
        - SHIPPING_COMPANY_WONT_SHIP
        - TRACKING_PROOF_NOT_ENOUGH
        - TRANSACTION_AUTHORIZED_BY_CARDHOLDER
        - TRANSACTION_CANCELLED_AFTER_AUTHORIZATION_DATE
        - TRANSACTION_CANCELLED_BEFORE_SHIPMENT_SERVICE_DATE
        - TRANSACTION_MATCHES_BUYER_SPENDING_PATTERN
        - TRANSACTION_PROCESSED_CORRECTLY
        - TRUSTED_BUYER_PAYOUT
        - UNUSED_SHIPPING_LABEL
        - VALID_PROOF_OF_DELIVERY
        - VALID_PROOF_OF_DELIVERY_WITH_SIGNATURE
        - VALID_PROOF_OF_REFUND
        - VALID_PROOF_SUPPORTING_CLAIM
        - VALID_RETURN_DELIVERY_PROOF
        - VALID_RETURN_DELIVERY_PROOF_WITH_SIGNATURE
        - VALID_SHIPMENT_PROOF
        - VALUE_AFFECTED_SIGNIFICANTLY
        - PROTECTION_POLICY_APPLIES
        - SNAD_DELAYED_FILING
        - FUNDS_TRANSFERRED_TO_INCORRECT_RECIPIENT
    adjudication:
      type: object
      title: Adjudication
      description: The Adjudication details for the dispute.
      properties:
        type:
          $ref: '#/components/schemas/adjudication_type'
          description: The type of adjudication.
        adjudication_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the adjudication was done, in [Internet date
            and time format](https://tools.ietf.org/html/rfc3339#section-5.6).
        reason:
          $ref: '#/components/schemas/adjudication_reason'
          description: The reason for the adjudication type.
        dispute_life_cycle_stage:
          $ref: '#/components/schemas/dispute_lifecycle_stage'
          description: The dispute life cycle stage during the adjudication.
      required:
        - type
        - adjudication_time
    money_movement:
      type: object
      title: Money movement
      description: The Money movement details with party.
      properties:
        affected_party:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The affected party in the money movement.
          x-enumDescriptions:
            - value: SELLER
              description: The money movement is related to the seller.
            - value: BUYER
              description: The money movement is related to the buyer.
            - value: PAYMENT_PROCESSOR
              description: >-
                The money movement is related to the payment processing tenants
                such as PayPal, Venmo, Braintree etc.
          enum:
            - SELLER
            - BUYER
            - PAYMENT_PROCESSOR
        amount:
          $ref: '#/components/schemas/money'
          description: The amount transferred as part of the money movement.
        asset:
          $ref: '#/components/schemas/cryptocurrency'
          description: The asset transferred as part of the money movement.
        initiated_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the money movement was initiated, in
            [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
        type:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The type of the money movement.
          x-enumDescriptions:
            - value: DEBIT
              description: The money movement is a debit transaction.
            - value: CREDIT
              description: The money movement is a credit transaction.
          enum:
            - DEBIT
            - CREDIT
        reason:
          $ref: '#/components/schemas/money_movement_reason'
          description: The reason for the money movement.
      deprecated: true
    fund_movement:
      type: object
      title: Fund movement
      description: >-
        This section contains the details about the fund movement of the parties
        ,time , direction and the reason for it.
      properties:
        party:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The affected party in the money movement.
          x-enumDescriptions:
            - value: SELLER
              description: The money movement is related to the seller.
            - value: BUYER
              description: The money movement is related to the buyer.
            - value: PAYMENT_PROCESSOR
              description: >-
                The money movement is related to the payment processing tenants
                such as PayPal, Venmo, Braintree etc.
          enum:
            - SELLER
            - BUYER
            - PAYMENT_PROCESSOR
        amount:
          $ref: '#/components/schemas/money'
          description: The amount transferred as part of the money movement.
        asset:
          $ref: '#/components/schemas/cryptocurrency'
          description: The asset transferred as part of the money movement.
        initiated_time:
          $ref: '#/components/schemas/date_time'
          description: >-
            The date and time when the money movement was initiated, in
            [Internet date and time
            format](https://tools.ietf.org/html/rfc3339#section-5.6).
        type:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The type of the money movement.
          x-enumDescriptions:
            - value: DEBIT
              description: The money movement is a debit transaction.
            - value: CREDIT
              description: The money movement is a credit transaction.
          enum:
            - DEBIT
            - CREDIT
        reason:
          $ref: '#/components/schemas/fund_movement_reason'
          description: The reason for the fund movement.
    message:
      type: object
      title: Message
      description: A customer- or merchant-posted message for the dispute.
      properties:
        posted_by:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: >-
            Indicates whether the customer, merchant, or dispute arbiter posted
            the message.
          readOnly: true
          x-enumDescriptions:
            - value: BUYER
              description: The customer posted the message.
            - value: SELLER
              description: The merchant posted the message.
            - value: ARBITER
              description: The arbiter of the dispute posted the message.
          enum:
            - BUYER
            - SELLER
            - ARBITER
        time_posted:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the message was posted, in [Internet date and
            time format](https://tools.ietf.org/html/rfc3339#section-5.6).
        content:
          type: string
          description: The message text.
          maxLength: 2000
          minLength: 0
          pattern: ^(.|\r?\n)*$
        documents:
          $ref: '#/components/schemas/document_list'
    merchant_contacted_outcome:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Merchant Contacted Outcome
      description: The outcome when the customer has contacted the merchant.
      x-enumDescriptions:
        - value: NO_RESPONSE
          description: The merchant did not respond to the customer.
        - value: FIXED
          description: The merchant agreed to fix the issue but did not fix it yet.
        - value: NOT_FIXED
          description: The merchant could not fix the issue.
      enum:
        - NO_RESPONSE
        - FIXED
        - NOT_FIXED
    merchant_contacted_mode:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Merchant Contacted Method
      description: The method used to contact the merchant.
      x-enumDescriptions:
        - value: WEBSITE
          description: The merchant was contacted through his website.
        - value: PHONE
          description: The merchant was contacted through either phone or fax.
        - value: EMAIL
          description: The merchant was contacted through either email or text message.
        - value: WRITTEN
          description: The merchant was contacted through a written communication.
        - value: IN_PERSON
          description: The merchant was contacted in person.
      enum:
        - WEBSITE
        - PHONE
        - EMAIL
        - WRITTEN
        - IN_PERSON
    billing_disputes_properties:
      type: object
      title: Billing Disputes Properties
      description: The billing issue details.
      properties:
        duplicate_transaction:
          $ref: '#/components/schemas/duplicate_transaction'
        incorrect_transaction_amount:
          $ref: '#/components/schemas/incorrect_transaction_amount'
        payment_by_other_means:
          $ref: '#/components/schemas/payment_by_other_means'
        credit_not_processed:
          $ref: '#/components/schemas/credit_not_processed'
        canceled_recurring_billing:
          $ref: '#/components/schemas/canceled_recurring_billing'
    merchandize_dispute_properties:
      type: object
      title: Merchandise Dispute Properties
      description: The customer-provided merchandise issue details for the dispute.
      properties:
        issue_type:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The issue type.
          x-enumDescriptions:
            - value: PRODUCT
              description: The product has an issue.
            - value: SERVICE
              description: The service has an issue.
          enum:
            - PRODUCT
            - SERVICE
        product_details:
          $ref: '#/components/schemas/product_details'
        service_details:
          $ref: '#/components/schemas/service_details'
        cancellation_details:
          $ref: '#/components/schemas/cancellation_details'
        return_shipping_address:
          $ref: '#/components/schemas/address_portable'
          description: >-
            The return address for the item. Required when the customer must
            return an item to the merchant for the <a
            href="/docs/integration/direct/customer-disputes/integration-guide/#merchandise_or_service_not_as_described"><code>MERCHANDISE_OR_SERVICE_NOT_AS_DESCRIBED</code></a>
            dispute reason.
    dispute_source:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[A-Z0-9_]+$
      description: The dispute source through which customer initiated the dispute.
      x-enumDescriptions:
        - value: EMAIL
          description: The dispute is initiated through a email communication.
        - value: WEB
          description: The dispute is filed directly on paypal website.
        - value: CHAT
          description: The dispute is initiated through a chat communication.
        - value: IVR
          description: The dispute is initiated through automated phone system.
        - value: PHONE
          description: The dispute is initiated through a phone call from user.
        - value: MOBILE_APP
          description: The dispute is filed directly on paypal application on mobile.
        - value: MOBILE_WEB
          description: The dispute is filed directly on paypal mobile web page.
        - value: API
          description: The dispute is filed directly through API request.
      enum:
        - EMAIL
        - WEB
        - CHAT
        - IVR
        - PHONE
        - MOBILE_APP
        - MOBILE_WEB
        - API
    evidence:
      type: object
      title: Evidence
      description: >-
        A merchant- or customer-submitted evidence document. evidence_info is
        expected for PROOF_OF_FULFILLMENT,PROOF_OF_REFUND and PROOF_OF_RETURN
        evidence types. documents and notes can be given for rest of the
        evidence types.
      properties:
        evidence_type:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[0-9A-Z_]+$
          description: The evidence type.
          x-enumDescriptions:
            - value: PROOF_OF_FULFILLMENT
              description: >-
                Proof of fulfillment should be a copy of the actual shipping
                label on the package that shows the destination address and the
                shipping company's stamp to verify the shipment date.
            - value: PROOF_OF_REFUND
              description: Proof of refund issued to the buyer
            - value: PROOF_OF_DELIVERY_SIGNATURE
              description: Proof of delivery signature.
            - value: PROOF_OF_RECEIPT_COPY
              description: Copy of original receipt or invoice.
            - value: RETURN_POLICY
              description: Copy of terms and conditions,contract or store return policy
            - value: BILLING_AGREEMENT
              description: Copy of billing agreement.
            - value: PROOF_OF_RESHIPMENT
              description: >-
                Proof of reshipment should be a copy of the actual shipping
                label on the package that shows the destination address and the
                shipping company's stamp to verify the reshipment date. 
            - value: ITEM_DESCRIPTION
              description: A copy of the original description of the item or service
            - value: POLICE_REPORT
              description: Copy of the police report filed.
            - value: AFFIDAVIT
              description: >-
                More information has to be provided about the claim using the
                affidavit.
            - value: PAID_WITH_OTHER_METHOD
              description: >-
                Document showing item/service was paid by another payment
                method.
            - value: COPY_OF_CONTRACT
              description: Copy of contract if applicable.
            - value: TERMINAL_ATM_RECEIPT
              description: Copy of terminal/ATM receipt.
            - value: PRICE_DIFFERENCE_REASON
              description: >-
                Explanation of what the price difference is related to
                (increased tip amount, shipping charges, taxes, etc).
            - value: SOURCE_CONVERSION_RATE
              description: Source of expected conversion rate or fee.
            - value: BANK_STATEMENT
              description: Bank/Credit statement showing withdrawal transaction.
            - value: CREDIT_DUE_REASON
              description: The credit due reason.
            - value: REQUEST_CREDIT_RECEIPT
              description: The request credit receipt.
            - value: PROOF_OF_RETURN
              description: >-
                Proof of shipment or postage that shows you returned this item
                to your seller and should be a copy of the actual shipping label
                used.
            - value: CREATE
              description: Additional evidence information during case creation.
            - value: CHANGE_REASON
              description: The evidence related to the reason change.
            - value: PROOF_OF_REFUND_OUTSIDE_PAYPAL
              description: >-
                Document should show that the seller issued a refund outside
                Paypal.
            - value: RECEIPT_OF_MERCHANDISE
              description: >-
                Check with buyer if item Delivered (seller provided Proof of
                Shipping)
            - value: CUSTOMS_DOCUMENT
              description: Document confirming that the item has been confiscated.
            - value: CUSTOMS_FEE_RECEIPT
              description: Custom fees receipt paid by the buyer
            - value: INFORMATION_ON_RESOLUTION
              description: >-
                Any resolution reached with the seller should be communicated to
                PayPal.
            - value: ADDITIONAL_INFORMATION_OF_ITEM
              description: Any additional information of the item purchased.
            - value: DETAILS_OF_PURCHASE
              description: >-
                Specific details of a purchase made under a particular
                transaction has to be given.
            - value: PROOF_OF_SIGNIFICANT_DIFFERENCE
              description: >-
                More information required on how the item was damaged or was
                significantly different from the item advertised.
            - value: PROOF_OF_SOFTWARE_OR_SERVICE_NOT_AS_DESCRIBED
              description: >-
                Any screenshot or download/usage log showing that the software
                or service was unavailable or non-functional.
            - value: PROOF_OF_CONFISCATION
              description: >-
                Documentation from a third party or organization that evaluated
                this item that confirms they confiscated it.
            - value: PROOF_OF_DAMAGE
              description: Documentation supporting the claim that the item is damaged.
            - value: COPY_OF_LAW_ENFORCEMENT_AGENCY_REPORT
              description: >-
                Report filed with a law enforcement agency or government
                organization. Examples of such agencies are -  Internet Crime
                Complaint Center (www.ic3.gov), state Consumer Protection
                office, state police or a Federal law enforcement agency such as
                the FBI or Postal Inspection Service.
            - value: ADDITIONAL_PROOF_OF_SHIPMENT
              description: >-
                Additional proof of shipment  such as a packing list, detailed
                invoice, or shipping manifest to confirm that all items have
                been shipped. Include carrier name and tracking number if
                available.
            - value: PROOF_OF_DENIAL_BY_CARRIER
              description: >-
                Documentation from the carrier should confirm the reason why
                they refuse to ship the item in question and the extent of the
                original damage.
            - value: THIRDPARTY_PROOF_FOR_DAMAGE_OR_SIGNIFICANT_DIFFERENCE
              description: >-
                Proof should be provided by an unbiased third-party, such as a
                dealer, appraiser or another individual or organisation that's
                qualified in the area of the item in question (other than
                yourself), and detail the extent of the damage or clearly
                explain how the item received significantly differs from the
                item advertised.
            - value: VALID_SUPPORTING_DOCUMENT
              description: >-
                The document you have provided doesn't support your claim that
                the item is Significantly Not as Described. Please provide a
                document to clearly show how the item received significantly
                differs from the item advertised.
            - value: LEGIBLE_SUPPORTING_DOCUMENT
              description: >-
                The document you have provided is illegible, unclear, or too
                dark to read.  Please provide a document that is legible and
                clear to read.
            - value: RETURN_TRACKING_INFORMATION
              description: >-
                Online tracking information for remaining items that have to be
                shipped to the seller.
            - value: DELIVERY_RECEIPT
              description: Confirmation that the item has been received.
            - value: PROOF_OF_INSTORE_RECEIPT
              description: >-
                In-store receipt or online verification should clearly show that
                the buyer picked up the item.
            - value: ADDITIONAL_TRACKING_INFORMATION
              description: >-
                Tracking information should include the carrier name,  online
                tracking number and the website where the shipment can be
                tracked.
            - value: PROOF_OF_SHIPMENT_POSTAGE
              description: >-
                Proof of shipment or postage should be a copy of the actual
                shipping label on the package that shows the destination address
                and the carrier's stamp to verify the shipment date.
            - value: ONLINE_TRACKING_INFORMATION
              description: Online tracking information to confirm delivery of item.
            - value: PROOF_OF_INSTORE_REFUND
              description: >-
                Proof should be an in-store refund receipt or company
                documentation that clearly shows a completed refund for the
                transaction.
            - value: PROOF_FOR_SOFTWARE_OR_SERVICE_DELIVERED
              description: >-
                Proof should be compelling evidence to prove that the item or
                service was as described  and was delivered to the buyer.
                Include information such as transaction ID, invoice ID, name or
                email to associate the evidence with the buyer along with date
                and time of the delivery.
            - value: RETURN_ADDRESS_FOR_SHIPPING
              description: >-
                Return address is required for the buyer to ship  the
                merchandise back to the seller.
            - value: COPY_OF_THE_EPARCEL_MANIFEST
              description: >-
                To validate a claim,  a copy of the eparcel manifest showing the
                buyer's address from Australia Post is required. 
            - value: COPY_OF_SHIPPING_MANIFEST
              description: >-
                The shipping manifest must show the buyer's address and can be
                obtained from the carrier.
            - value: APPEAL_AFFIDAVIT
              description: >-
                Appeal affidavit is needed to make an appeal for any case
                outcome.
            - value: RECEIPT_OF_REPLACEMENT
              description: >-
                Check with buyer if the replacement of the item sent by the
                seller was received
            - value: COPY_OF_DRIVERS_LICENSE
              description: Need Copy of Drivers license.
            - value: ACCOUNT_CHANGE_INFORMATION
              description: >-
                Additional Details about how account was accessed/what was
                changed.
            - value: DELIVERY_ADDRESS
              description: Address where item was supposed to be delivered.
            - value: CONFIRMATION_OF_RESOLUTION
              description: Confirmation that item was received and issue resolved.
            - value: MERCHANT_RESPONSE
              description: Copy of merchant's response when the resolution was attempted.
            - value: PERMISSION_DESCRIPTION
              description: >-
                A Detailed description about the account or card level
                permission given to another person.
            - value: STATUS_OF_MERCHANDISE
              description: Details of the merchandise's current location.
            - value: LOST_CARD_DETAILS
              description: Details of where and when the card was lost/stolen?.
            - value: LAST_VALID_TRANSACTION_DETAILS
              description: Details of the last valid transaction made on the card.
            - value: ADDITIONAL_PROOF_OF_RETURN
              description: >-
                Document to confirm that the item to be returned to the seller
                has been shipped.
            - value: DECLARATION
              description: Signed declaration about the information provided.
            - value: PROOF_OF_MISSING_ITEMS
              description: >-
                Image of open box with returned items and shipping label clearly
                visible.
            - value: PROOF_OF_EMPTY_PACKAGE_OR_DIFFERENT_ITEM
              description: >-
                Image of empty box or returned items that are different from
                what were expected and shipping label clearly visible.
            - value: PROOF_OF_ITEM_NOT_RECEIVED
              description: >-
                Any proof about the non receipt of the item, such as screenshot
                of tracking info.
            - value: ORDER_DETAILS
              description: >-
                Order details or photos of the item/service/booking/digital
                download available on the website.
            - value: LISTING_URL
              description: The website URLs of the item/service/booking/digital download.
            - value: SHIPPING_INSURANCE
              description: Insurance information of the shipped item.
            - value: BUYER_RESPONSE
              description: >-
                Copy of the buyer response or any other document showing buyer's
                understanding of the item/service/booking/digital download
                purchased.
            - value: PHOTOS_OF_SHIPPED_ITEM
              description: Photos of the item that were shipped to the buyer.
            - value: OTHER
              description: Other.
            - value: CANCELLATION_DETAILS
              description: >-
                Cancellation details information, for example- cancellation
                date, cancellation number.
            - value: MERCHANT_CONTACT_DETAILS
              description: >-
                Merchant contacted details information, for example- merchant
                contacted time, mode of contacting.
            - value: ITEM_DETAILS
              description: >-
                Item related details information, for example- expected delivery
                date.
            - value: CORRECT_RECIPIENT_INFORMATION
              description: Proof of the correct recipient name, email or phone.
            - value: EXPLANATION_OF_FUNDS_NOT_DELIVERED
              description: >-
                Details on why the funds were not delivered to the correct
                recipient.
          enum:
            - PROOF_OF_FULFILLMENT
            - PROOF_OF_REFUND
            - PROOF_OF_DELIVERY_SIGNATURE
            - PROOF_OF_RECEIPT_COPY
            - RETURN_POLICY
            - BILLING_AGREEMENT
            - PROOF_OF_RESHIPMENT
            - ITEM_DESCRIPTION
            - POLICE_REPORT
            - AFFIDAVIT
            - PAID_WITH_OTHER_METHOD
            - COPY_OF_CONTRACT
            - TERMINAL_ATM_RECEIPT
            - PRICE_DIFFERENCE_REASON
            - SOURCE_CONVERSION_RATE
            - BANK_STATEMENT
            - CREDIT_DUE_REASON
            - REQUEST_CREDIT_RECEIPT
            - PROOF_OF_RETURN
            - CREATE
            - CHANGE_REASON
            - PROOF_OF_REFUND_OUTSIDE_PAYPAL
            - RECEIPT_OF_MERCHANDISE
            - CUSTOMS_DOCUMENT
            - CUSTOMS_FEE_RECEIPT
            - INFORMATION_ON_RESOLUTION
            - ADDITIONAL_INFORMATION_OF_ITEM
            - DETAILS_OF_PURCHASE
            - PROOF_OF_SIGNIFICANT_DIFFERENCE
            - PROOF_OF_SOFTWARE_OR_SERVICE_NOT_AS_DESCRIBED
            - PROOF_OF_CONFISCATION
            - PROOF_OF_DAMAGE
            - COPY_OF_LAW_ENFORCEMENT_AGENCY_REPORT
            - ADDITIONAL_PROOF_OF_SHIPMENT
            - PROOF_OF_DENIAL_BY_CARRIER
            - THIRDPARTY_PROOF_FOR_DAMAGE_OR_SIGNIFICANT_DIFFERENCE
            - VALID_SUPPORTING_DOCUMENT
            - LEGIBLE_SUPPORTING_DOCUMENT
            - RETURN_TRACKING_INFORMATION
            - DELIVERY_RECEIPT
            - PROOF_OF_INSTORE_RECEIPT
            - ADDITIONAL_TRACKING_INFORMATION
            - PROOF_OF_SHIPMENT_POSTAGE
            - ONLINE_TRACKING_INFORMATION
            - PROOF_OF_INSTORE_REFUND
            - PROOF_FOR_SOFTWARE_OR_SERVICE_DELIVERED
            - RETURN_ADDRESS_FOR_SHIPPING
            - COPY_OF_THE_EPARCEL_MANIFEST
            - COPY_OF_SHIPPING_MANIFEST
            - APPEAL_AFFIDAVIT
            - RECEIPT_OF_REPLACEMENT
            - COPY_OF_DRIVERS_LICENSE
            - ACCOUNT_CHANGE_INFORMATION
            - DELIVERY_ADDRESS
            - CONFIRMATION_OF_RESOLUTION
            - MERCHANT_RESPONSE
            - PERMISSION_DESCRIPTION
            - STATUS_OF_MERCHANDISE
            - LOST_CARD_DETAILS
            - LAST_VALID_TRANSACTION_DETAILS
            - ADDITIONAL_PROOF_OF_RETURN
            - DECLARATION
            - PROOF_OF_MISSING_ITEMS
            - PROOF_OF_EMPTY_PACKAGE_OR_DIFFERENT_ITEM
            - PROOF_OF_ITEM_NOT_RECEIVED
            - ORDER_DETAILS
            - LISTING_URL
            - SHIPPING_INSURANCE
            - BUYER_RESPONSE
            - PHOTOS_OF_SHIPPED_ITEM
            - OTHER
            - CANCELLATION_DETAILS
            - MERCHANT_CONTACT_DETAILS
            - ITEM_DETAILS
            - CORRECT_RECIPIENT_INFORMATION
            - EXPLANATION_OF_FUNDS_NOT_DELIVERED
        evidence_info:
          $ref: '#/components/schemas/evidence_info'
        documents:
          $ref: '#/components/schemas/definitions-document_list'
        notes:
          type: string
          description: Any evidence-related notes.
          minLength: 1
          maxLength: 2000
          pattern: ^(.|\r?\n)*$
        source:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Z_]+$
          readOnly: true
          description: The source of the evidence.
          x-enumDescriptions:
            - value: REQUESTED_FROM_BUYER
              description: PayPal requested evidence from the customer.
            - value: REQUESTED_FROM_SELLER
              description: PayPal requested evidence from the merchant.
            - value: SUBMITTED_BY_BUYER
              description: Evidence was submitted by the customer.
            - value: SUBMITTED_BY_SELLER
              description: Evidence was submitted by the merchant.
            - value: SUBMITTED_BY_PARTNER
              description: Evidence was submitted by the partner.
          enum:
            - REQUESTED_FROM_BUYER
            - REQUESTED_FROM_SELLER
            - SUBMITTED_BY_BUYER
            - SUBMITTED_BY_SELLER
            - SUBMITTED_BY_PARTNER
        date:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the evidence was received, in [Internet date
            and time format](http://tools.ietf.org/html/rfc3339#section-5.6).
        item_id:
          type: string
          minLength: 1
          maxLength: 255
          pattern: ^[A-Za-z0-9]+$
          description: >-
            The item ID. If the merchant provides multiple pieces of evidence
            and the transaction has multiple item IDs, the merchant can use this
            value to associate a piece of evidence with an item ID.
        item_type:
          $ref: '#/components/schemas/item_type'
          readOnly: true
          description: The item type for which the evidence is requested or submitted.
        action_info:
          $ref: '#/components/schemas/action_info'
          readOnly: true
          description: >-
            The action details for the information. Includes additional
            information such as the action for which the evidence was
            requested/submitted, and whether the evidence is mandatory for the
            corresponding action.
        dispute_life_cycle_stage:
          $ref: '#/components/schemas/dispute_lifecycle_stage'
          readOnly: true
          description: The dispute life cycle stage for the evidence.
    offer_type:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      title: Offer Type
      description: The merchant-proposed offer type for the dispute.
      x-enumDescriptions:
        - value: REFUND
          description: >-
            The merchant must refund the customer without any item replacement
            or return. This offer type is valid in the inquiry phase and occurs
            when a merchant is willing to refund a specific amount. Buyer
            acceptance is needed for partial refund offers and dispute is auto
            closed for full refunds. Include the <code>offer_amount</code> but
            omit the <code>return_shipping_address</code> parameters from the
            make offer request.
        - value: REFUND_WITH_RETURN
          description: >-
            The customer must return the item to the merchant and then merchant
            will refund the money. This offer type is valid in the inquiry phase
            and occurs when a merchant is willing to refund a specific amount
            and requires the customer to return the item. Include the
            <code>return_shipping_address</code> parameter and the
            <code>offer_amount</code> parameter in the make offer request.
        - value: REFUND_WITH_REPLACEMENT
          description: >-
            The merchant must do a refund and then send a replacement item to
            the customer. This offer type is valid in the inquiry phase when a
            merchant is willing to refund a specific amount and send the
            replacement item. Include the <code>offer_amount</code> parameter in
            the make offer request.
        - value: REPLACEMENT_WITHOUT_REFUND
          description: >-
            The merchant must send a replacement item to the customer with no
            additional refunds. This offer type is valid in the inquiry phase
            when a merchant is willing to replace the item without any refund.
            Omit the <code>offer_amount</code> parameter from the make offer
            request.
      enum:
        - REFUND
        - REFUND_WITH_RETURN
        - REFUND_WITH_REPLACEMENT
        - REPLACEMENT_WITHOUT_REFUND
    offer_history_list:
      type: array
      minItems: 1
      maxItems: 1000
      description: An array of history information for an offer.
      items:
        $ref: '#/components/schemas/offer_history'
    email_address:
      type: string
      description: >-
        The internationalized email address.<blockquote><strong>Note:</strong>
        Up to 64 characters are allowed before and 255 characters are allowed
        after the <code>@</code> sign. However, the generally accepted maximum
        length for an email address is 254 characters. The pattern verifies that
        an unquoted <code>@</code> sign exists.</blockquote>
      format: ppaas_common_email_address_v2
      minLength: 3
      maxLength: 254
      pattern: >-
        ^(?:[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[A-Za-z0-9!#$%&'*+/=?^_`{|}~-]+)*|"(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21\x23-\x5b\x5d-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])*")@(?:(?:[A-Za-z0-9](?:[A-Za-z0-9-]*[A-Za-z0-9])?\.)+[A-Za-z0-9](?:[A-Za-z0-9-]*[A-Za-z0-9])?|\[(?:(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?)\.){3}(?:25[0-5]|2[0-4][0-9]|[01]?[0-9][0-9]?|[A-Za-z0-9-]*[A-Za-z0-9]:(?:[\x01-\x08\x0b\x0c\x0e-\x1f\x21-\x5a\x53-\x7f]|\\[\x01-\x09\x0b\x0c\x0e-\x7f])+)\])$
    supporting_info:
      type: object
      title: Supporting Info
      description: A merchant- or customer-submitted supporting information.
      properties:
        notes:
          type: string
          readOnly: true
          description: Any supporting notes.
          minLength: 1
          maxLength: 2000
          pattern: ^(.|\r?\n)*$
        documents:
          $ref: '#/components/schemas/supporting_info_definitions-document_list'
        source:
          type: string
          minLength: 1
          maxLength: 255
          readOnly: true
          pattern: ^[0-9A-Z_]+$
          description: The source of the Information.
          x-enumDescriptions:
            - value: SUBMITTED_BY_BUYER
              description: Information was submitted by the customer.
            - value: SUBMITTED_BY_SELLER
              description: Information was submitted by the merchant.
            - value: SUBMITTED_BY_PARTNER
              description: Information was submitted by the partner.
          enum:
            - SUBMITTED_BY_BUYER
            - SUBMITTED_BY_SELLER
            - SUBMITTED_BY_PARTNER
        provided_time:
          $ref: '#/components/schemas/date_time'
          readOnly: true
          description: >-
            The date and time when the information was received, in [Internet
            date and time
            format](http://tools.ietf.org/html/rfc3339#section-5.6).
        dispute_life_cycle_stage:
          $ref: '#/components/schemas/dispute_lifecycle_stage'
          readOnly: true
          description: The dispute life cycle stage for the supporting info.
    acknowledge_return_item_response_options:
      type: object
      title: Acknowledge Return Item Response Options
      description: >-
        The allowed response options when the seller acknowledges that the buyer
        has returned an item for the dispute.
      properties:
        acknowledgement_types:
          $ref: '#/components/schemas/acknowledgement_type_list'
    accept_claim_response_options:
      type: object
      title: Accept Claim Response Options
      description: The allowed response options when the merchant is accepting the claim.
      properties:
        accept_claim_types:
          $ref: '#/components/schemas/accept_claim_type_list'
    make_offer_response_options:
      type: object
      title: Make Offer Response Options
      description: >-
        The allowed response options when the merchant makes offer to the
        customer.
      properties:
        offer_types:
          $ref: '#/components/schemas/offer_type_list'
    link_description:
      type: object
      title: Link Description
      description: >-
        The request-related [HATEOAS link](/api/rest/responses/#hateoas-links)
        information.
      required:
        - href
        - rel
      properties:
        href:
          type: string
          description: >-
            The complete target URL. To make the related call, combine the
            method with this [URI
            Template-formatted](https://tools.ietf.org/html/rfc6570) link. For
            pre-processing, include the `$`, `(`, and `)` characters. The `href`
            is the key HATEOAS component that links a completed call with a
            subsequent call.
        rel:
          type: string
          description: >-
            The [link relation
            type](https://tools.ietf.org/html/rfc5988#section-4), which serves
            as an ID for a link that unambiguously describes the semantics of
            the link. See [Link
            Relations](https://www.iana.org/assignments/link-relations/link-relations.xhtml).
        method:
          type: string
          description: The HTTP method required to make the related call.
          enum:
            - GET
            - POST
            - PUT
            - DELETE
            - HEAD
            - CONNECT
            - OPTIONS
            - PATCH
    error_details-2:
      title: Error Details
      type: object
      description: The error details. Required for client-side `4XX` errors.
      properties:
        field:
          type: string
          description: >-
            The field that caused the error. If this field is in the body, set
            this value to the field's JSON pointer value. Required for
            client-side errors.
        value:
          type: string
          description: The value of the field that caused the error.
        location:
          type: string
          description: >-
            The location of the field that caused the error. Value is `body`,
            `path`, or `query`.
          default: body
        issue:
          type: string
          description: The unique, fine-grained application-level error code.
        description:
          type: string
          description: >-
            The human-readable description for an issue. The description can
            change over the lifetime of an API, so clients must not depend on
            this value.
      required:
        - issue
    buyer:
      type: object
      title: Customer
      description: >-
        The details for the customer who funds the payment. For example, the
        customer's first name, last name, and email address.
      properties:
        name:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^[^~!@#$%^*()_{}:|\t\n/]+$
          description: The customer's name.
    seller:
      type: object
      title: Merchant
      description: >-
        The details for the merchant who receives the funds and fulfills the
        order. For example, merchant ID, and contact email address.
      properties:
        email:
          $ref: '#/components/schemas/email_address'
          description: The email address for the merchant's PayPal account.
        merchant_id:
          type: string
          minLength: 1
          maxLength: 255
          description: The PayPal account ID for the merchant.
          pattern: ^[0-9A-Za-z]+$
        name:
          type: string
          minLength: 1
          maxLength: 2000
          pattern: ^[^~!@#$%^*()_{}:|\t\n/]+$
          description: The name of the merchant.
    item_info_list:
      type: array
      minItems: 1
      maxItems: 100
      readOnly: true
      description: An array of items that were purchased as part of the transaction.
      items:
        $ref: '#/components/schemas/item_info'
    payment_processor: {}
    adjudication_type:
      type: string
      minLength: 1
      maxLength: 255
      pattern: ^[0-9A-Z_]+$
      description: The type of adjudication.
      x-enumDescriptions:
        - value: DENY_BUYER
          description: The decision is to deny the buyer for the dispute.
        - value: PAYOUT_TO_BUYER
[...]
